> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Refund shortfall

> Refund shortfall



## OpenAPI

````yaml https://openapi.commercengine.io/ce-pos.json post /pos/shipping/shipments/{order_number}/refund-shortfall
openapi: 3.1.0
info:
  title: CE POS APIs
  description: >-
    The consolidated Point of Sale surface. Every operation is served under the
    storefront base URL; operations tagged POSAdmin are proxied to the admin
    service by the POS backend.
  version: '1.0'
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/storefront
    description: Staging Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: staging
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/storefront
    description: Prod Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: prod
security:
  - Authorization: []
tags:
  - name: POS
    description: Operations backed by the storefront service
  - name: POSAdmin
    description: Operations proxied to the admin service
paths:
  /pos/shipping/shipments/{order_number}/refund-shortfall:
    post:
      tags:
        - POSAdmin
      summary: Refund shortfall
      description: Refund shortfall
      operationId: pos-refund-shortfall
      parameters:
        - name: order_number
          in: path
          description: Order Number
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - items
                - payment_method
              properties:
                items:
                  type: array
                  items:
                    type: object
                    required:
                      - product_id
                      - variant_id
                      - quantity
                    properties:
                      product_id:
                        type: string
                      variant_id:
                        description: >-
                          The unique identifier of the product variant. Use
                          `null` if the product has no variants.
                        type:
                          - string
                          - 'null'
                      quantity:
                        type: integer
                      free_quantity:
                        type: integer
                        default: 0
                payment_method:
                  enum:
                    - original-payment-mode
                    - bank-transfer
                bank_account_id:
                  description: required if payment_method = bank-transfer
                  type:
                    - string
                    - 'null'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      description: Access token
      scheme: bearer

````